var x = 6;
var y = 14;
var z = 4;
 x += y - x++ * z;
document.write("x += y - x++ * z <br/> x =  " + x + "<br/> 1) х++ постфіксний інкремент, повертається до його зміни тому х = 6, пріорітет 3 <br/> 2) 6 * 4 = 24, пріорітет 5 <br/> 3) 14 - 24 = -10, пріорітет 6 <br/> 4) x = 6 - 10, x+= пріорітет 17 <br/>")
var x = 6;
var y = 14;
var z = 4;
z = --x - y * 5;
document.write("z = --x - y * 5 <br/>  z = " + z + "<br/> 1) --х префіксний декремент, значення змінної спочатку змінюється, а потім виводиться х = 5, пріорітет 3 <br/> 2) 14 * 5 = 70, пріорітет 5 <br/> 3) 5 - 70 = -65, пріорітет 6 <br/>")
var x = 6;
var y = 14;
var z = 4;
y /= x + 5 % z;
document.write("y /= x + 5 % z  <br/> y = " + y + "<br/> 1) 5 % 4 залишок від ділення 1, пріорітет 5 <br/> 2) 6 + 1 = 7, пріорітет 6 <br/> 3) y/= 7 y = 2, пріорітет 17 <br/> ")
var x = 6;
var y = 14;
var z = 4;
var result = z - x++ + y * 5;
document.write("z - x++ + y * 5 <br/> result = " + result + "<br/> 1) х++ постфіксний інкремент, повертається до його зміни тому х = 6, пріорітет 3 <br/> 2) 14 * 5 = 70, пріорітет 5 <br/> 3) 4 - 6 = -2, пріорітет 6 <br/> 4) -2 + 70 = 68, пріорітет 6 <br/>")
var x = 6;
var y = 14;
var z = 4;
x = y - x++ * z
document.write("x = y - x++ * z <br/> x = " + x + "<br/> 1) х++ постфіксний інкремент, повертається до його зміни тому х = 6, пріорітет 3 <br/> 2) 6 * 4 = 24, пріорітет 5 <br/> 3) 14 - 24 = -10, пріорітет 6 ")